"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const eventemitter3_1 = require("eventemitter3");
class JobQueue extends eventemitter3_1.EventEmitter {
    constructor() {
        super();
        this.jobs = [];
    }
    get length() {
        return this.jobs.length;
    }
    enqueue(job) {
        this.jobs.push(job);
        this.emit('process');
    }
    dequeue() {
        return this.jobs.shift();
    }
    hasJobs() {
        return this.jobs.length > 0;
    }
}
exports.JobQueue = JobQueue;
//# sourceMappingURL=job-queue.js.map